.levels {

}

.levels__pagination {
  width: 100%;
  height: 80px;
  border-top: 1px solid rgba(250, 234, 211, 0.15);
}

.levels__pagination-list {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: center;
}

.levels__pagination-list-item {
  width: 30px;
  height: 30px;
  flex: 0 0 30px;

  &:not(:last-child) {
    margin-right: 37px;

    @media (--medium) {
      margin-right: 15px;
    }
  }
}

.levels__pagination-button {
  width: 100%;
  height: 100%;
  padding: 0;
  background-color: transparent;
  outline: none;
  border-radius: 100%;
  border: 1px solid transparent;
  color: #faead3;
  font-size: 10px;
  line-height: 1;
  padding-top: 3px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: border-color 0.3s ease 0s;
  will-change: border-color;

  &.active,
  &:hover {
    border-color: #faead3;
  }
}

.levels__slider {
  height: 735px;
  position: relative;
  overflow: hidden;

  @media (--medium) {
    height: 330px;
  }
}

.levels__slider-nav-left,
.levels__slider-nav-right {
  padding: 0;
  width: 65px;
  height: 600px;
  outline: none;
  cursor: pointer;
  position: absolute;
  top: 0;
  background-color: transparent;
  border: none;

  @media (--medium) {
    height: 155px;
    width: 50px;
  }

  &::before,
  & div:first-child::before,
  & div:first-child::after,
  & div:last-child::after,
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    width: 1px;
    background-color: #faead3;
  }

  &::before {
    right: 20px;
    height: 40px;
    margin-top: -20px;
    transition: height 0.3s ease 0s, margin-top 0.3s ease 0s;
    will-change: height, margin-top;
  }

  &:hover::before {
    height: 80px;
    margin-top: -40px;
  }

  &::after {
    right: 22px;
    height: 22px;
    margin-top: -11px;
  }

  & div:first-child::before {
    right: 24px;
    height: 8px;
    margin-top: -4px;
  }

  & div:first-child::after {
    right: 26px;
    height: 4px;
    margin-top: -2px;
  }

  & div:last-child::after {
    width: 0;
    height: 0;
    right: 28px;
    margin-top: -1px;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    border-right: 20px solid #faead3;
    background-color: transparent;
  }
}

.levels__slider-nav-left {
  left: -65px;

  @media (--xlarge) {left: 0;}
}

.levels__slider-nav-right {
  right: -65px;
  transform: rotate(180deg);
  @media (--xlarge) {right: 0;}
}

.levels__slider-wrapper {
  max-width: 1170px;
  margin: 0 auto;
  position: relative;
}

.levels__slider-slide {
  width: 100%;
  height: 100%;
  position: relative;
  display: inline-block;
  vertical-align: top;
  white-space: normal;
  transform: scaleY(0.95);
  transition: transform 0.3s ease 0s;
  will-change: transform;

  &.active {
    transform: scale(1);
  }

  &:not(:last-child) {
    margin-right: 66px;
  }
}

.levels__slider-container {
  height: 700px;
  white-space: nowrap;
  font-size: 0;
  transition: transform 0.3s ease 0s;
  will-change: transform;

  @media (--medium) {
    height: 310px;
  }
}

.levels__slider-image {
  margin: 0;
  width: 100%;
  height: 600px;
  background-color: #262626;

  @media (--medium) {
    height: 155px;
  }
}

.levels__slider-info {
  left: 0;
  top: 467px;
  width: 100%;
  padding: 0 75px;
  display: flex;
  position: absolute;

  @media (--medium) {
    top: 175px;
    padding: 0 10px;
    display: block;
  }
}

.levels__slider-info-count {
  font-weight: normal;
  margin: 0;
  border-top: 1px solid #faead3;
  border-bottom: 1px solid #faead3;
  color: #990000;
  font-size: 12px;
  text-align: center;
  line-height: 12px;
  display: inline-block;
  vertical-align: top;
  padding: 3px 0 2px;

  @media (--medium) {
    float: left;
  }
}

.levels__slider-info-aside {
  flex: 0 0 270px;
  margin-right: 30px;
  overflow: hidden;
}

.levels__slider-info-title {
  margin: 23px 0 0;
  font-size: 35px;
  color: #faead3;
  line-height: 35px;

  @media (--medium) {
    margin: 0;
    padding-top: 3px;
    padding-left: 10px;
    overflow: hidden;
    font-size: 15px;
    line-height: 15px;
  }
}

.levels__slider-info-description {
  max-width: 720px;
  margin: 0;
  font-size: 35px;
  color: #faead3;
  line-height: 50px;
  padding-top: 36px;

  @media (--large-only) {
    font-size: 28px;
    line-height: 40px;
  }

  @media (--medium) {
    font-size: 15px;
    line-height: 25px;
    padding-top: 14px;
  }
}
